#!/bin/sh 
 
# FILE: sensor2flashdrive.sh 
# COPYRIGHT:  (c) 2012 FORCE America, Inc 
# DESCRIPTION: Moves sensor data files from the PreCise Wireless Sensor Test Integration project 
#              to flash drives in an organized way.  Designed to be Stenz-proof. 
# CREATED:   12/16/2010 By Jon Polfer (P1131) 
# MODIFIED:  01/20/2012 By Andrew Dorney (P1131)
#              - Updated script to match settings included in 0.56 release.
  
DATA_SET_NAME="replace_me"; 
  
# Show header 
echo "sensor2flashdrive.sh" 
echo "1.1 - (c) 2012 FORCE America, Inc" 
echo "---------------------------------" 
  
# Prompt for data set name 
echo "Please enter a name for this set of wireless sensor data: " 
read DATA_SET_NAME 
  
# Disable Wireless Sensor Logging
/6100/rc/pyclient set bool WirelessLoggingEnable ""

# Mount flash drive 
mount -t auto /dev/usbdisk /media/disk 

# If the folder does not exist, make the folder.
if [[ ! -e "/media/disk/$DATA_SET_NAME" ]]; then
  mkdir /media/disk/$DATA_SET_NAME
# If the folder exists but is not a directory, quit.
elif [[ ! -d "/media/disk/$DATA_SET_NAME" ]]; then
  echo "The file /media/disk/$DATA_SET_NAME is not a directory. Quitting."
  exit 1
fi
# If the folder exists, we can move files to it.

# Move files from /6100/SensorLogs/WIFILog_* to the folder on the flash drive 
mv /6100/SensorLogs/WIFIlog* /media/disk/$DATA_SET_NAME 
  
# Unmount flash drive 
umount /media/disk 

# Re-enable Wireless Sensor Logging
/6100/rc/pyclient set bool WirelessLoggingEnable "1"

echo "Log transfer complete."