--- FILE:         cleanrev5data.sql
--- COPYRIGHT:    (c) 2009 FORCE America, Inc
--- DESCRIPTION:  Deletes all data, due to beta-issues, from databases containing
---               the rev5 shibboleth, inactive_time_hms is not null.
--- CREATED:      12/15/2009 By Jon Polfer (P1131)

BEGIN TRANSACTION;

--- Delete all child records first
--- that have a snapshot exhibiting the shibboleth
DELETE FROM granular_material 
WHERE snapshot_id in 
    (SELECT snapshot_id
     FROM snapshot
     WHERE inactive_time_hms IS NOT NULL);

DELETE FROM direct_liquid_material 
WHERE snapshot_id in 
    (SELECT snapshot_id
     FROM snapshot
     WHERE inactive_time_hms IS NOT NULL);

DELETE FROM dust_control_material 
WHERE snapshot_id in 
    (SELECT snapshot_id
     FROM snapshot
     WHERE inactive_time_hms IS NOT NULL);

DELETE FROM prewetted_granular 
WHERE snapshot_id in 
    (SELECT snapshot_id
     FROM snapshot
     WHERE inactive_time_hms IS NOT NULL);

DELETE FROM simultaneous_granular_direct
WHERE snapshot_id in 
    (SELECT snapshot_id
     FROM snapshot
     WHERE inactive_time_hms IS NOT NULL);

--- Delete all snapshot records
--- exhibiting the shibboleth

DELETE FROM snapshot 
WHERE inactive_time_hms IS NOT NULL;

END TRANSACTION;
