--- FILE:         rev1torev5dbupgrade.sql
--- COPYRIGHT:    (c) 2009 FORCE America, Inc
--- DESCRIPTION:  Upgrades a Snapshot Data Schema Rev 1 database
---               to Rev 5 of the Snapshot Data Schema.
--- CREATED:      12/15/2009 By Jon Polfer (P1131)
--- NOTE:         Duplicate Column Name errors may be thrown when 
---               this is executed on a db rev2 or newer.  Also note
---               that database is *not* backward compatible with rev 5.
---               Rev 5 is the first revision to hit the field in v.11

BEGIN TRANSACTION;

--- snapshot
ALTER TABLE snapshot ADD COLUMN granular_unload_time_hms TEXT;
ALTER TABLE snapshot ADD COLUMN prewet_unload_time_hms TEXT;
ALTER TABLE snapshot ADD COLUMN direct_unload_time_hms TEXT;

--- prewet_liquid_material
DROP TABLE prewet_liquid_material;

--- granular_material
ALTER TABLE granular_material ADD COLUMN dry_time_closed_hms TEXT;
ALTER TABLE granular_material ADD COLUMN dry_time_open_hms TEXT;
ALTER TABLE granular_material ADD COLUMN dry_time_manual_hms TEXT;
ALTER TABLE granular_material ADD COLUMN dry_time_blast_hms TEXT;

--- direct_liquid_material
ALTER TABLE direct_liquid_material ADD COLUMN direct_time_closed_hms TEXT;
ALTER TABLE direct_liquid_material ADD COLUMN direct_time_open_hms TEXT;
ALTER TABLE direct_liquid_material ADD COLUMN direct_time_manual_hms TEXT;
ALTER TABLE direct_liquid_material ADD COLUMN direct_time_blast_hms TEXT;

--- dust_control_material
ALTER TABLE dust_control_material ADD COLUMN dust_control_time_closed_hms TEXT;
ALTER TABLE dust_control_material ADD COLUMN dust_control_time_open_hms TEXT;
ALTER TABLE dust_control_material ADD COLUMN dust_control_time_manual_hms TEXT;
ALTER TABLE dust_control_material ADD COLUMN dust_control_time_blast_hms TEXT;

--- prewetted_granular
ALTER TABLE prewetted_granular ADD COLUMN prewetted_time_open_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewetted_time_closed_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewetted_time_manual_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewetted_time_blast_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewet_material_time_closed_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewet_material_time_open_hms TEXT;
ALTER TABLE prewetted_granular ADD COLUMN prewet_material_time_manual_hms TEXT;

--- simultaneous_granular_direct
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_direct_time_closed_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_direct_time_open_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_direct_time_manual_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_direct_time_blast_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_granular_time_closed_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_granular_time_open_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_granular_time_manual_hms TEXT;
ALTER TABLE simultaneous_granular_direct ADD COLUMN simultaneous_granular_time_blast_hms TEXT;

COMMIT TRANSACTION;
